# TXDISP - Run ds9 on raw TRES image files, one file at a time
# March 9, 2009
# By Doug Mink, SAO Telescope Data Center

procedure txdisp (images)

string	images=""	{prompt="Images to check"}

bool	deltemp=yes	{prompt="Delete intermediate image files (y or n)"}
bool	verbose=yes	{prompt="Print process progress (y or n)"}

begin

int	iext
file	templist, imin
string	ims, imlist
bool	vb, first

	vb = verbose
	ims = images
	first = yes

	if (ims == "") {
	    print ("TXDS9:  Display raw TRES images using ds9")
	    print ("Usage: txds9 <input images with 2 extensions>")
	    return
	    }

# If input image is a list prepend @ if not already there
	smatch (ims, ".list")
	if (smatch.found) {
	    if (substr (ims,1,1) != '@')
		ims = "@" // ims
	    }

#  Make temporary list of input files
	trsfiles (ims)
	if (trsfiles.nfiles == 0) {
	    delete (trsfiles.tempin)
	    if (vb)
		print ("TXDISP: No files found: ", ims)
	    return
	    }
	templist = trsfiles.tempout
	list = templist
        while (fscan (list,imin) != EOF) {
	    args = "-mosaicimage " // imin
	    tds9 (args)
	    }

	if (deltemp) {
	    delete (templist)
	    delete (trsfiles.tempin)
	    }
end

# Mar  9 2009	New task to display TRES raw images by file or sequence num.
