# File svdfit/Src/t_fileroot.x
# February 23, 2000
# By Doug Mink, Center for Astrophysics

# T_FILEROOT -- Return the root (to last period) of a filename

procedure t_fileroot ()

pointer	name
pointer	sp
char	period
bool	verbose, clgetb()
int	iper, strldx()

begin
	period = '.'
	call smark (sp)
	call salloc (name, SZ_LINE,  TY_CHAR)

	call clgstr ("filename", Memc[name], SZ_LINE)
	iper = strldx (period, Memc[name])
	if (iper > 0)
	    Memc[name+iper-1] = EOS
	call clpstr ("rootname", Memc[name], SZ_LINE)
	if (iper > 0)
	    call clpstr ("extname", Memc[name+iper], SZ_LINE)
	else
	    call clpstr ("extname", "", SZ_LINE)

	verbose = clgetb ("verbose")
	if (verbose) {
	    call printf ("%s %s\n")
		call pargstr (Memc[name])
		call pargstr (Memc[name+iper])
	    }

	call sfree (sp)
end

# Sep  9 1999	New task

# Feb 23 2000	Find last period, not first one
