# File procdata/Src/t_round.x
# December 5, 2008
# By Doug Mink, Center for Astrophysics

# T_ROUND -- Round a real number to a string using an SPP format.
# The value is returned as a CL parameter of type string

procedure t_round()

char	format[SZ_LINE], value[SZ_LINE]
double	dnum,clgetd()
int	nc, i, lc, inum
int	strlen()
bool	clgetb()
bool	verbose

begin

	call clgstr ("format", format, SZ_LINE)
	if (format[1] != '%') {
	    nc = strlen (format)
	    do i = nc+1, 1, -1 {
		format[i+1] = format[i]
		}
	    format[1] = '%'
	    }
	dnum = clgetd ("number")
	nc = strlen (format)
	lc = format[nc]
	if (lc == 'd')
	    inum = int (dnum + 0.5d0)

	verbose = clgetb ("verbose")
	if (verbose) {
	    call printf (format)
	    if (lc == 'd')
		call pargi (inum)
	    else
		call pargr (dnum)
	    call printf ("\n")
	    }
	call sprintf (value,SZ_LINE,format)
	if (lc == 'd')
	    call pargi (inum)
	else
	    call pargd (dnum)

	call clpstr ("value", value)
end
# Aug 24 1995	New task

# May 16 2008	Format integers as well as floating point numbers
# May 16 2008	Use dimensioned strings instead of allocating them
# Dec  5 2008	Use double precision instead of single precision floating point
