#{ TRES package definition

noao
onedspec
imred
echelle
mscred

s1 = envget ("min_lenuserarea")
if (s1 == "")
    reset min_lenuserarea = 100000
else if (int (s1) < 100000)
    reset min_lenuserarea = 100000

# Define TRES package
set	tresbin		= "tres$bin(arch)/"
set	tresscripts	= "tres$Scripts/"
set	tressrc		= "tres$Src/"
set	tresdata	= "tres$../tresdata/"
set	tresdata200811	= "tres$../tresdata200811/"

package tres, bin=tresbin$

task	trsdate		= "tresscripts$trsdate.cl"
task	trsgroup	= "tresscripts$trsgroup.cl"
task	trslist		= "tresscripts$trslist.cl"
task	trsproc		= "tresscripts$trsproc.cl"
task	qtres		= "tresscripts$qtres.cl"
task	btres		= "tresscripts$btres.cl"
task	ftres		= "tresscripts$ftres.cl"
task	ttres		= "tresscripts$ttres.cl"
task	stres		= "tresscripts$stres.cl"
task	ctres		= "tresscripts$ctres.cl"
task	tlog		= "tresscripts$tlog.cl"
task	tquick		= "tresscripts$tquick.cl"
task	tdata		= "tresscripts$tdata.cl"
task	txstat		= "tresscripts$txstat.cl"
task	txdisp		= "tresscripts$txdisp.cl"
task	txdelete	= "tresscripts$txdelete.cl"
task	tmonth		= "tresscripts$tmonth.cl"
task	trspec		= "tresscripts$trspec.cl"
task	skyplot		= "tresscripts$skyplot.cl"
task	tharplot	= "tresscripts$tharplot.cl"
task	tcemsao		= "tresscripts$tcemsao.cl"
task	tpxcsao		= "tresscripts$tpxcsao.cl"
task	tvxcsao		= "tresscripts$tvxcsao.cl"

task	relearn		= "tresscripts$relearn.cl"
task	tapref		= "tresscripts$tapref.cl"
task	tdispref	= "tresscripts$tdispref.cl"
task	tidref		= "tresscripts$tidref.cl"
task	textract	= "tresscripts$textract.cl"
task	textract1	= "tresscripts$textract1.cl"
task	tcal		= "tresscripts$tcal.cl"
task	tcal1		= "tresscripts$tcal1.cl"
task	tcheck		= "tresscripts$tcheck.cl"
task	tcosmic		= "tresscripts$tcosmic.cl"
task	tcosmed		= "tresscripts$tcosmed.cl"
task	tdisp		= "tresscripts$tdisp.cl"
task	tdisp1		= "tresscripts$tdisp1.cl"
task	tmakeref	= "tresscripts$tmakeref.cl"
task	tflat		= "tresscripts$tflat.cl"
task	tflat1		= "tresscripts$tflat1.cl"
task	tflatlist	= "tresscripts$tflatlist.cl"
task	tfset		= "tresscripts$tfset.cl"
task	tharlist	= "tresscripts$tharlist.cl"
task	tharset		= "tresscripts$tharset.cl"
task	tharshift1	= "tresscripts$tharshift1.cl"
task	thartable	= "tresscripts$thartable.cl"
task	tpmake		= "tresscripts$tpmake.cl"
task	tmakeflat	= "tresscripts$tmakeflat.cl"
task	tampmerge	= "tresscripts$tampmerge.cl"
task	tampmerge1	= "tresscripts$tampmerge1.cl"
task	tdate		= "tresscripts$tdate.cl"
task	tharadd		= "tresscripts$tharadd.cl"
task	tgain1		= "tresscripts$tgain1.cl"
task	tnext		= "tresscripts$tnext.cl"
task	tpreamp		= "tresscripts$tpreamp.cl"
task	tpreamp1	= "tresscripts$tpreamp1.cl"
task	tpreproc	= "tresscripts$tpreproc.cl"
task	tproc		= "tresscripts$tproc.cl"
task	tproc1		= "tresscripts$tproc1.cl"
task	trelearn	= "tresscripts$trelearn.cl"
task	trsdump		= "tresscripts$trsdump.cl"
task	trsdb		= "tresscripts$trsdb.cl"
task	trsavg		= "tresscripts$trsavg.cl"
task	trsmed		= "tresscripts$trsmed.cl"
task	trssum		= "tresscripts$trssum.cl"
task	tsetbcv		= "tresscripts$tsetbcv.cl"
task	tmodid		= "tresscripts$tmodid.cl"
task	makepath	= "tresscripts$makepath.cl"
task	tfib		= "tresscripts$tfib.cl"
task	trsfiles	= "tresscripts$trsfiles.cl"
task	$lns		= "$ln -s"
task	$ll		= "$ls -lF"
task	$more		= "$more "
task	$rmdir		= "$rmdir "
#task	$trssort	= "$gsort "
task	$trssort	= "$sort "
task	$tds9		= "$ds9 "

# TRES SPP tasks
task    filename,
        fileroot,
        filepath,
        fixdir,
	getrange,
        gettime,
        imgetp,
        isnum,
        isrange,
	tampfix,
        tcosbad,
        tcosfix,
        tcoslim,
	tistat,
        padstr,
        cround,
        round,
	tarith,
	tfib1,
	trscode,
	trsdecode,
	tskysub,
	ecrefit,
	ecidentify,
	ecreidentify,
        smatch          = "tres$x_tres.e"


# Hide tasks from the user
hidetask filename, fileroot, filepath, fixdir, getrange, imgetp, tnext
hidetask isnum, isrange, tcosbad, tcosfix, tcoslim, tistat, padstr
hidetask cround, round, smatch, lns, more, rmdir, trssort, makepath
hidetask ecidentify, ecreidentify, gettime, ll, relearn, tampfix, tds9
hidetask tampmerge1, tdisp1, textract1, tflat1, tgain1, tharshift1, tproc1
hidetask tcosmed, ecrefit, tcheck, tdate

tres.newversion = "TRES V1.3.1: March 12, 2009"
if (tres.newversion != tres.version)
    type tres$tresupdate.msg
else if (tres.verbose)
    type tres$tres.msg

;
clbye()
